<?php

class Bowob_Form_Admin_Settings extends Engine_Form
{
  public function init()
  {
    $this
      ->setTitle('Bowob')
      ->setMethod('post')
    ;

    $bowob_app_id = new Engine_Form_Element_Text('bowob_app_id');
    $bowob_app_id->setDescription('provided by bowob.com');
    $bowob_app_id->setLabel('App id');
    $bowob_app_id->setValue('');

    $bowob_server_address = new Engine_Form_Element_Text('bowob_server_address');
    $bowob_server_address->setDescription('provided by bowob.com');
    $bowob_server_address->setLabel('Server address');
    $bowob_server_address->setValue('');

    $this->addElements(array(
        $bowob_app_id,
        $bowob_server_address,
    ));

    $this->addElement('Button', 'submit', array(
      'label' => 'Save Changes',
      'type' => 'submit',
    ));
  }
}
